#include<bits/stdc++.h>
using namespace std;
long long a[100001];
int main(){

    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    long long n, k;
    cin >> n >> k;
    long long ans = 0;
    for(long long i = 0; i < n; i++)cin >> a[i];
    for(long long i = 0; i < n; i++){
        for(long long j = i + 1; j < n; j++){
            long long anss = 0;
            for(long long p = i; p <= j; p++){
                anss = a[p] | anss;
            }
            if(anss >= k)ans++;
        }
    }
    cout << ans;

    return 0;
}
